com.google.appengine.api.datastore

## Class Query.StContainsFilter

- java.lang.Object
- - com.google.appengine.api.datastore.Query.Filter
  - - com.google.appengine.api.datastore.Query.StContainsFilter

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    Query

      public static final class Query.StContainsFilter
      extends Query.Filter

  A `Query.Filter` representing a geo-region containment predicate.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StContainsFilter(java.lang.String propertyName, Query.GeoRegion region)` Constructs a geo-region filter from the given arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getPropertyName()`
    `Query.GeoRegion` | `getRegion()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StContainsFilter

          public StContainsFilter(java.lang.String propertyName,
                                  Query.GeoRegion region)

      Constructs a geo-region filter from the given arguments.
      Parameters:
        `propertyName` - the name of the property on which to test containment
        `region` - a geo-region object against which to test the property value

  - ### Method Detail

    - #### getPropertyName

          public java.lang.String getPropertyName()

    - #### getRegion

          public Query.GeoRegion getRegion()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`